<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR PENGAJUAN BARANG KONSUMER</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-9 form-inline">
              <label class="col-form-label mr-1">Menunjukkan </label>
              <select (change)="doGetListPengajuan()" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
              </select>
              <label class="ml-1"> Data</label>
            </div>
            <div class="col-sm-3">
              <button class="pull-right btn btn-success" *ngIf="dataUser.role==='ADM' || dataUser.role==='HRD'" data-toggle="modal" (click)="gotoNew();">
                <i class="icon-plus"></i> Tambah Pengajuan</button>
            </div>
          </div><br>
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div [ngClass]="{'col-sm-2 pl-0 pr-1': dataUser.role === 'ADM' || dataUser.role === 'PENGAWAS', 'col-sm-3': dataUser.role === 'HRD'}">
                  <label class="col-form-label">Tanggal Mulai</label>
                  <input class="form-control" (keyup.enter)="doGetListPengajuan()" id="tanggalMulai" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalMulai">
                </div>
                <div [ngClass]="{'col-sm-2 pl-0 pr-1': dataUser.role === 'ADM' || dataUser.role === 'PENGAWAS', 'col-sm-3': dataUser.role === 'HRD'}">
                  <label class="col-form-label">Tanggal Akhir</label>
                  <input class="form-control" (keyup.enter)="doGetListPengajuan()" id="tanggalAkhir" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalAkhir">
                </div>
                <div class="col-sm-3" [ngClass]="{'pl-0 pr-1': dataUser.role !== 'HRD'}">
                  <label class="col-form-label">Status</label>
                  <select name="status" class="form-control selectpicker" (keyup.enter)="doGetListPengajuan()" title="Pilih Status" [(ngModel)]="statusPengajuan">
                    <option value="NEW">Menunggu Verifikasi HRD</option>
                    <option value="APP">Menunggu Verifikasi Pengawas</option>
                    <option value="VRF">Menunggu Proses Admin</option>
                    <option value="CAN">Batal</option>
                    <option value="CAN-HRD">Ditolak HRD</option>
                    <option value="CAN-PENGAWAS">Ditolak Pengawas</option>
                    <option value="PROC">Selesai</option>
                  </select>
                </div>
                <div [ngClass]="{'col-sm-2 pl-0 pr-1': dataUser.role !== 'HRD'}">
                  <label *ngIf="dataUser.role!=='HRD'" class="col-form-label">Perusahaan </label>
                  <app-company-select *ngIf="dataUser.role!=='HRD'" [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event"></app-company-select>
                </div>
                <div class="col-sm-2" [ngClass]="{'pl-0 pr-1': dataUser.role === 'ADM' || dataUser.role === 'PENGAWAS'}">
                  <label class="col-form-label">Pencarian </label>
                  <input id="appendedInputButton" (keyup.enter)="doGetListPengajuan()" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">
                  <!--<div class="controls">-->
                    <!--<div class="input-group">-->
                      <!--<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" size="16" type="text" placeholder="Pencarian...">-->
                      <!--<span class="input-group-append">-->
                    <!--<button class="btn btn-success" type="button" (click)="doGetListPengajuan()"><i class="fa fa-search"></i> Cari </button>-->
                  <!--</span>-->
                    <!--</div>-->
                  <!--</div>-->
                </div>
                <div class="col-sm-1 pl-0 pr-0" style="margin-top: 34px">
                  <button class="btn btn-success"  (click)="doGetListPengajuan()"><i class="fa fa-search"></i> Cari</button>
                </div>
              </div>
            </div>
          </div>
          <!--<div *ngIf="listPengajuan | filter: filterText as list">-->
            <table class="table table-bordered table-striped table-sm table-responsive">
              <thead>
              <tr class="font-xs">
                <th class="text-center align-middle" style="width: 1%">#</th>
                <!--<th class="text-center">ID Ajuan</th>-->
                <th class="text-center align-middle" style="width: 5%" (click)="sort('tanggalPengajuan')">Tanggal Pengajuan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tanggalPengajuan',
                                    'fa-sort-asc': (column == 'tanggalPengajuan' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalPengajuan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 10%" (click)="sort('nama')">Anggota
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nama',
                                    'fa-sort-asc': (column == 'nama' && isDesc),
                                    'fa-sort-desc': (column == 'nama' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th *ngIf="dataUser.role==='ADM'" class="text-center align-middle" style="width: 10%" (click)="sort('namaPerusahaan')">Nama Perusahaan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaPerusahaan',
                                    'fa-sort-asc': (column == 'namaPerusahaan' && isDesc),
                                    'fa-sort-desc': (column == 'namaPerusahaan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('tipePengajuan')">Jenis
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tipePengajuan',
                                    'fa-sort-asc': (column == 'tipePengajuan' && isDesc),
                                    'fa-sort-desc': (column == 'tipePengajuan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('nominalPengajuan')">Nominal
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nominalPengajuan',
                                    'fa-sort-asc': (column == 'nominalPengajuan' && isDesc),
                                    'fa-sort-desc': (column == 'nominalPengajuan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center" style="width: 5%" (click)="sort('lamaAngsuran')">Lama Angsuran
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'lamaAngsuran',
                                    'fa-sort-asc': (column == 'lamaAngsuran' && isDesc),
                                    'fa-sort-desc': (column == 'lamaAngsuran' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 6%" (click)="sort('keterangan')">Keperluan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'keterangan',
                                    'fa-sort-asc': (column == 'keterangan' && isDesc),
                                    'fa-sort-desc': (column == 'keterangan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 8%" (click)="sort('statusPengajuan')">Status
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'statusPengajuan',
                                    'fa-sort-asc': (column == 'statusPengajuan' && isDesc),
                                    'fa-sort-desc': (column == 'statusPengajuan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%">Cek Anggota</th>
                <th class="text-center align-middle" style="width: 5%" *ngIf="dataUser.role!=='AGT'">Aksi</th>
              </tr>
              </thead>
              <tbody *ngIf="!listPengajuan || listPengajuan.length===0">
              <tr>
                <td colspan="11" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of listPengajuan | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
                <!--<td>{{data.kodePengajuan}}</td>-->
                <td>{{data.tanggalPengajuan | date: 'dd MMM yyyy'}}</td>
                <td><a href="javascript:void();" title="List Pinjaman Anggota" (click)="gotoList(data.nomorNik, data.nama, data.kodePerusahaan, data.nomorAnggota)"><div>{{ data.nomorNik }}</div></a>{{data.nama}}
                  <br><span *ngIf="dataUser.role!=='ADM'">{{data.lokasiPenempatan}}</span>
                </td>
                <td *ngIf="dataUser.role==='ADM'">{{data.namaPerusahaan}} <br>{{data.lokasiPenempatan}}</td>
                <td>{{ data.tipePengajuan }}
                  <div *ngIf="data.tipePengajuan==='Barang'">{{data.namaBarang ? '( ' + data.namaBarang + ' )' : ''}}</div>
                </td>
                <td>{{ data.nominalPengajuan | number}}</td>
                <td>{{ data.lamaAngsuran }} Bulan</td>
                <td>{{ data.keterangan }}</td>
                <td>{{ data.statusPengajuan | statusPengajuan}}
                  <br><span *ngIf="dataUser.role === 'PENGAWAS'">Catatan HRD: {{data.catatanHRD ? data.catatanHRD : '-'}}</span>
                </td>
                <td>
                  <button title="{{data.nama}}" class="btn btn-success btn-block btn-sm" (click)="gotoSimpanan(data.nomorNik, data.nama, data.kodePerusahaan, data.nomorAnggota)"><i class="fa fa-suitcase"></i> Simpanan</button>
                  <button title="{{data.nama}}" class="btn btn-danger btn-block btn-sm mt-1" (click)="gotoPinjaman(data.nomorNik, data.nama, data.kodePerusahaan, data.nomorAnggota)"><i class="fa fa-money"></i> Pinjaman</button>
                  <button title="Dokumen" class="btn btn-primary btn-block btn-sm mt-1" (click)="gotoImage(data.kodePengajuan)"><i class="fa fa-file"></i> Dokumen</button>

                </td>
                <td *ngIf="dataUser.role!=='AGT'">
                  <button *ngIf="dataUser.role==='HRD'" [disabled]="data.statusPengajuan!=='NEW'" class="btn btn-success btn-block btn-sm" (click)="confirmAdminModal.show(); setSelectedPengajuan(data, 'Approve', 'Approve');"><i class="fa fa-check"></i> Verifikasi</button>
                  <button *ngIf="dataUser.role==='HRD'" [disabled]="data.statusPengajuan!=='NEW'" class="btn btn-danger btn-block btn-sm mt-1" (click)="confirmModal.show(); setSelectedPengajuan(data, 'Tolak HRD', 'Tolak')"><i class="fa fa-times"></i> Tolak</button>
                  <button *ngIf="dataUser.role==='ADM'" [disabled]="data.statusPengajuan!=='VRF'" class="btn btn-success btn-block btn-sm" (click)="confirmAdminModal.show(); setSelectedPengajuan(data, 'Proses', 'Proses');"><i class="fa fa-cog"></i> Proses</button>
                  <button *ngIf="dataUser.role==='ADM'" [disabled]="data.statusPengajuan!=='VRF'" class="btn btn-danger btn-block btn-sm mt-1" (click)="confirmModal.show(); setSelectedPengajuan(data, 'Tolak ADM', 'Tolak')"><i class="fa fa-times"></i> Tolak</button>
                  <button *ngIf="dataUser.role==='PENGAWAS'" [disabled]="data.statusPengajuan!=='APP'" class="btn btn-success btn-block btn-sm" (click)="confirmAdminModal.show(); setSelectedPengajuan(data, 'Verifikasi', 'Verifikasi');"><i class="fa fa-cog"></i> Verifikasi</button>
                  <button *ngIf="dataUser.role==='PENGAWAS'" [disabled]="data.statusPengajuan!=='APP'" class="btn btn-danger btn-block btn-sm mt-1" (click)="confirmModal.show(); setSelectedPengajuan(data, 'Tolak PENGAWAS', 'Tolak')"><i class="fa fa-times"></i> Tolak</button>
                </td>
              </tr>
              </tbody>
            </table>
            <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
            <div class="pull-right mt-auto">
              <pagination *ngIf="listPengajuan.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                          [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
              </pagination>
            </div>
          <!--</div>-->
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #confirmModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="confirmModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Konfirmasi {{modalTitle}} Pengajuan</h4>
        <button type="button" class="close" (click)="confirmModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <h4>Apakah Anda yakin ingin {{modalTitle}} pengajuan ini?</h4>
        <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
          <div class="row">
            <div class="col-sm-12">
              <label class="col-form-label">Catatan</label>
              <textarea rows="3" class="form-control" placeholder="Catatan" formControlName="catatan"></textarea>
            </div>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="confirmModal.hide()">Tidak</button>
        <button type="button" class="btn btn-success" (click)="confirmModal.hide(); submit()">
          <i class="fa fa-save"></i> Ya</button>
      </div>
    </div>
  </div>
</div>

<div bsModal #confirmAdminModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="confirmAdminModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Konfirmasi {{modalTitle}} Pengajuan</h4>
        <button type="button" class="close" (click)="confirmAdminModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
          <div class="row">
            <div class="col-sm-8">
              <div class="col-sm-12" *ngIf="selectedPengajuan.kodeTipePengajuan==='UANG'">
                <label class="col-form-label">Nominal Pinjaman</label>
                <div class="input-group">
                  <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalPengajuan.value}}"
                         (keyup)="clearListSimulation(); getSimulation(formBuilder.controls.lamaAngsuran.value)" placeholder="Nominal Pinjaman" formControlName="nominalPengajuan">
                </div>
              </div>
              <div class="col-sm-12" *ngIf="selectedPengajuan.kodeTipePengajuan==='BRG'">
                <label class="col-form-label">Nama Barang</label>
                <ngx-select-dropdown [multiple]="false" (change)="setHargaBarang()" [config]="configSelectItem" [(ngModel)]="selectedItem" [options]="listItem" [ngModelOptions]="{standalone: true}"></ngx-select-dropdown>
                <!--<app-item-select (change)="setHargaBarang()" [options]="listItem" (someChildEvent)="selectedItem=$event" ></app-item-select>-->
                <input type="hidden" formControlName="kodeBarang">
                <!--<div class="input-group">-->
                <!--<input type="text" class="form-control" placeholder="Nama Barang" formControlName="namaBarang">-->
                <!--</div>-->
              </div>
              <div class="col-sm-12" *ngIf="selectedPengajuan.kodeTipePengajuan==='BRG'">
                <label class="col-form-label">Harga Barang</label>
                <div class="input-group">
                  <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalPengajuan.value}}"
                         (input)="clearListSimulation(); getSimulation(formBuilder.controls.lamaAngsuran.value)" placeholder="Harga Barang" formControlName="nominalPengajuan">
                </div>
              </div>
              <div class="col-sm-12" *ngIf="selectedPengajuan.kodeTipePengajuan==='KENDARAAN'">
                <label class="col-form-label">Nama Kendaraan</label>
                <ngx-select-dropdown [multiple]="false" (change)="setHargaBarang()" [config]="configSelectKendaraan" [(ngModel)]="selectedItem" [options]="listKendaraan" [ngModelOptions]="{standalone: true}"></ngx-select-dropdown>
                <input type="hidden" formControlName="kodeBarang">
              </div>
              <div class="col-sm-12" *ngIf="selectedPengajuan.kodeTipePengajuan==='KENDARAAN'">
                <label class="col-form-label">Harga Kendaraan</label>
                <div class="input-group">
                  <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalPengajuan.value}}"
                         (input)="clearListSimulation(); getSimulation(formBuilder.controls.lamaAngsuran.value)" placeholder="Harga Barang" formControlName="nominalPengajuan">
                </div>
              </div>
              <div class="col-sm-12" *ngIf="selectedPengajuan.kodeTipePengajuan==='PERUM'">
                <label class="col-form-label">Nama Perumahan</label>
                <ngx-select-dropdown [multiple]="false" (change)="setHargaBarang()" [config]="configSelectPerumahan" [(ngModel)]="selectedItem" [options]="listPerumahan" [ngModelOptions]="{standalone: true}"></ngx-select-dropdown>
                <input type="hidden" formControlName="kodeBarang">
              </div>
              <div class="col-sm-12" *ngIf="selectedPengajuan.kodeTipePengajuan==='PERUM'">
                <label class="col-form-label">Harga Perumahan</label>
                <div class="input-group">
                  <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalPengajuan.value}}"
                         (input)="clearListSimulation(); getSimulation(formBuilder.controls.lamaAngsuran.value)" placeholder="Harga Barang" formControlName="nominalPengajuan">
                </div>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Lama Angsuran</label>
                <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectLamaAngsuran" [(value)]="selectedLamaAngsuran" [options]="listLamaAngsuran"></ngx-select-dropdown>-->
                <select class="form-control selectpicker" name="lamaAngsuran" data-size="5" formControlName="lamaAngsuran" (change)="clearListSimulation(); getSimulation(formBuilder.controls.lamaAngsuran.value)">
                  <option value="" disabled>Pilih Lama Angsuran</option>
                  <option *ngFor="let row of listLamaAngsuran" value="{{row}}">{{row}} bulan</option>
                </select>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Total Angsuran Per Bulan</label>
                <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.totalAngsuranPerBulan.value}}"
                       placeholder="Total Angsuran Per Bulan" formControlName="totalAngsuranPerBulan">
              </div>
              <div class="col-sm-12" *ngIf="dataUser.role==='ADM'">
                <label class="col-form-label">Media Pinjaman</label>
                <select class="form-control" formControlName="ambilDariKas">
                  <option value="" disabled>Pilih Media Pinjaman</option>
                  <option *ngFor="let data of listBank" value="{{data.kodeBank}}">{{data.namaBank}}</option>
                  <!--<option value="TUNAI">Kas Tunai</option>-->
                  <!--<option value="MANDIRI">Bank Mandiri</option>-->
                  <!--<option value="BCA">Bank BCA</option>-->
                  <!--<option value="BRI">Bank BRI</option>-->
                </select>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Catatan</label>
                <textarea rows="3" class="form-control" placeholder="Catatan" formControlName="catatan"></textarea>
              </div>
            </div>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="confirmAdminModal.hide()">Tutup</button>
        <button type="button" class="btn btn-success" (click)="confirmAdminModal.hide(); submit()">
          <i class="fa fa-save"></i> Konfirmasi</button>
      </div>
    </div>
  </div>
</div>
